---
lang: en
title: 'API docs: repository.defaultcrudrepository.toentity'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaultcrudrepository.toentity.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultCrudRepository](./repository.defaultcrudrepository.md) &gt; [toEntity](./repository.defaultcrudrepository.toentity.md)

## DefaultCrudRepository.toEntity() method

<b>Signature:</b>

```typescript
protected toEntity(model: juggler.PersistedModel): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  model | <code>juggler.PersistedModel</code> |  |

<b>Returns:</b>

`T`


